# zmq_msg_init(3) Manual Page

## NAME

zmq_msg_init - initialise empty 0MQ message

## SYNOPSIS

int zmq_msg_init (zmq_msg_t *msg);

## DESCRIPTION

The zmq_msg_init() function shall initialise the message object referenced by msg to represent an empty message. This function is most useful when called before receiving a message with zmq_msg_recv().

Caution | Never access zmq_msg_t members directly, instead always use the zmq_msg family of functions.

Caution | The functions zmq_msg_init(), zmq_msg_init_data(), zmq_msg_init_size() and zmq_msg_init_buffer() are mutually exclusive. Never initialise the same zmq_msg_t twice.

## RETURN VALUE

The zmq_msg_init() function always returns zero.

## ERRORS

No errors are defined.

## EXAMPLE

Receiving a message from a socket

    zmq_msg_t msg;
    rc = zmq_msg_init (&msg);
    assert (rc == 0);
    int nbytes = zmq_msg_recv (socket, &msg, 0);
    assert (nbytes != -1);

## SEE ALSO

zmq_msg_init_size(3) zmq_msg_init_buffer(3) zmq_msg_init_data(3) zmq_msg_close(3) zmq_msg_data(3) zmq_msg_size(3) zmq(7)

## AUTHORS

This page was written by the ØMQ community. To make a change please read the ØMQ Contribution Policy at http://www.zeromq.org/docs:contributing.